# SourcePath: libgcrypt/20190122dev
Summary: A general-purpose cryptography library
Name: sony-target-dev-libgcrypt
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-libgcrypt
Version: 1.8.4
Release: 14020101
Source: libgcrypt-%{version}.tar.bz2
License: GPLv2
URL: http://www.gnupg.org/
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-libgpg-error

%description
Libgcrypt is a general purpose crypto library based on the code used
in GNU Privacy Guard.  This package contains files needed to develop
applications using libgcrypt.

%package -n %{pkgname}
Summary: A general-purpose cryptography library
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Libgcrypt is a general purpose crypto library based on the code used
in GNU Privacy Guard.  This package contains files needed to develop
applications using libgcrypt.

%prep
%setup -n libgcrypt-%{version}

%build
%sony_target_dev_setup
%sony_target_dev_configure --disable-static \
     --enable-noexecstack \
     --enable-pubkey-ciphers='dsa elgamal rsa ecc' \
     --with-libgpg-error-prefix=%{sony_target_dir}/usr/ \
     --disable-O-flag-munging
sed -i -e '/^sys_lib_dlsearch_path_spec/s,/lib /usr/lib,/usr/lib /lib64 /usr/lib64 /lib,g' libtool
make

%install
%sony_target_dev_setup
rm -rf %{buildroot}
%sony_target_dev_makeinstall
# delete the man files
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man/
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/doc/
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_sharedstate_dir}/info/dir

# delete the dumpsexp binary 
rm -rf %{buildroot}%{sony_target_dir}/usr/bin/dumpsexp
%demangle_libtool

# 12.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ln -s ../..%{sony_target_devtool_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" -a "$l" != "optinfo" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_devtool_include_dir}/*.h
%{sony_target_dir}%{sony_target_devtool_bin_dir}/libgcrypt-config
%{sony_target_dir}%{sony_target_dev_lib_dir}/lib*
%{sony_target_dir}%{sony_target_dev_bin_dir}/*
%{sony_target_dir}%{sony_target_dev_sharedstate_dir}/info/gcrypt.info
%{sony_target_dir}%{sony_target_dev_sharedstate_dir}/info/gcrypt.info-1
%{sony_target_dir}%{sony_target_dev_sharedstate_dir}/info/gcrypt.info-2
%{sony_target_dir}%{sony_target_dev_sharedstate_dir}/aclocal/libgcrypt.m4

%changelog
* Mon May 31 2021 Sony Group Corporation
- Initial build for 14.2.1.0

* Thu Mar 19 2020 Sony Corporation
- Removed dumpsexp binary

* Mon Jun 17 2019 Sony Corporation
- Initial build for 14.2.0.1

* Wed Apr 19 2019 Sony Corporation
- Initial build for CE-Linux-14.2.0.x.

* Tue Jan 22 2019 Sony Corporation
- Initial build.
